package com.iformall.enums;


/**
 * @author gongbiao
 */
public enum EnumActivityStatus {

    STATUS_THROW_IN(0, "已保存"),
    STATUS_TAKE_OFFF(1, "已下线"),
    INJECT_CAMPAIGN(2, "已投放"),;

    public static EnumActivityStatus getEnum(Integer code) {
        for (EnumActivityStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumActivityStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
